Skip to main content
When a customer’s endorsement verification link has expired, use this endpoint to generate a new one. Share the new link with the customer to complete verification for the specific payment service.
GET https://kyc.yativo.com/api/kyc/regenerate/{customerId}/{service}

Path parameters

customerId
string
required
The UUID of the customer.
service
string
required
The service endorsement to regenerate. One of: base, sepa, spei, brazil, eurde, usd_latam, eur_latam, virtual_card, asian, native, cobo_pobo.

Service reference

ServiceDescription
baseUSD base payments
sepaEuropean SEPA transfers
speiMexico SPEI transfers
brazilBrazilian payment rails
eurdeEUR/DE virtual accounts
usd_latamUSD Latin America transfers
eur_latamEUR Latin America transfers
virtual_cardVirtual card issuance
asianAsian region payments
nativeNative payment rails
cobo_poboCollection/Payment-on-behalf-of
curl -X GET 'https://kyc.yativo.com/api/kyc/regenerate/c586066b-0f29-468f-b775-15483871a202/sepa' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "success": true,
  "message": "Endorsement link regenerated successfully",
  "data": {
    "customer_id": "c586066b-0f29-468f-b775-15483871a202",
    "service": "sepa",
    "link": "https://kyc.yativo.com/endorsement/sepa/c586066b-0f29-468f-b775-15483871a202?token=abc123xyz",
    "expires_at": "2026-04-03T10:00:00.000000Z"
  }
}